@extends('layouts.app', ['class' => 'g-sidenav-show bg-gray-100'])

@section('content')
@include('layouts.navbars.auth.topnav', ['title' => 'Mark Configuration'])
<div class="container-fluid py-4">
    <form action="{{ route('college.add') }}" method="POST" enctype="multipart/form-data">
        @csrf
        <div class="card p-1">
            <div class="card-header d-flex justify-content-between align-items-center">
                <div>Mark Configuration</div>
                <div>
                    <button type="submit" class="btn btn-primary">Save</button>
                    <a class="btn btn-secondary" href="{{ url('mark-config') }}">Cancel</a>
                </div>
            </div>
            <div class="card-body">
                <!-- Note Section -->
                <div class="note-section">
                    <div class="alert alert-light">
                        <strong>Note:</strong>Please make sure you <strong>follow the exact case sensitivity</strong> (e.g., "Student Name" must be entered as "Student Name", not "student name" or "STUDENT NAME"):
                        <ul>
                            <li><strong>Student Name</strong></li>
                            <li><strong>Register Number</strong></li>
                            <li><strong>Course Name</strong></li>
                            <li><strong>Semester</strong></li>
                            <li><strong>Actual Marks</strong></li>
                            <li><strong>Result</strong></li>
                        </ul>
                        Please ensure that these fields are filled out with the correct case as specified. Case sensitivity is important for proper processing.
                    </div>
                </div>

                <div class="row">
                    <div class="col-md-4 mt-3">
                        <label for="college_name">College Name</label>
                        <input type="text" class="form-control" id="college_name" name="college_name" placeholder="Enter College Name" value="">
                        @error('college_name')
                        <div class="text-danger">{{ $message }}</div>
                        @enderror
                    </div>
                    <div class="col-md-4 mt-3">
                        <label for="address">Address</label>
                        <input type="text" class="form-control" id="address" name="address" placeholder="Enter Address" value="">
                        @error('address')
                        <div class="text-danger">{{ $message }}</div>
                        @enderror
                    </div>
                    <div class="col-md-4 mt-3">
                        <label for="email">Email</label>
                        <input type="text" class="form-control" id="email" name="email" placeholder="Enter Email" value="">
                        @error('email')
                        <div class="text-danger">{{ $message }}</div>
                        @enderror
                    </div>
                    <div class="col-md-4 mt-3">
                        <label for="contact">Contact Number</label>
                        <input type="text" class="form-control" id="contact" name="contact" placeholder="Enter Contact" value="">
                        @error('contact')
                        <div class="text-danger">{{ $message }}</div>
                        @enderror
                    </div>
                    <div class="col-md-4 mt-3">
                        <label for="logo">Logo</label>
                        <input type="file" class="form-control" id="logo" name="logo" placeholder="Enter Logo" value="">
                        @error('logo')
                        <div class="text-danger">{{ $message }}</div>
                        @enderror
                    </div>

                    <div class="col-md-4 mt-3">
                        <label for="config_1">Config 1</label>
                        <input type="text" class="form-control" id="config_1" name="config_1" placeholder="Enter Student Name" value="Student Name">
                    </div>
                    <div class="col-md-4 mt-3">
                        <label for="config_2">Config 2</label>
                        <input type="text" class="form-control" id="config_2" name="config_2" placeholder="Enter Register Number" value="Register Number">
                    </div>
                    <div class="col-md-4 mt-3">
                        <label for="config_3">Config 3</label>
                        <input type="text" class="form-control" id="config_3" name="config_3" placeholder="Enter Course Name" value="Course Name">
                    </div>
                    <div class="col-md-4 mt-3">
                        <label for="config_4">Config 4</label>
                        <input type="text" class="form-control" id="config_4" name="config_4" placeholder="Enter Semester" value="Semester">
                    </div>
                    <div class="col-md-4 mt-3">
                        <label for="config_5">Config 5</label>
                        <input type="text" class="form-control" id="config_5" name="config_5" placeholder="Enter Subject" value="Subject">
                    </div>
                    <div class="col-md-4 mt-3">
                        <label for="config_6">Config 6</label>
                        <input type="text" class="form-control" id="config_6" name="config_6" placeholder="Enter Internal Marks" value="Internal Marks">
                    </div>
                    <div class="col-md-4 mt-3">
                        <label for="config_7">Config 7</label>
                        <input type="text" class="form-control" id="config_7" name="config_7" placeholder="Enter External Marks" value="External Marks">
                    </div>
                    <div class="col-md-4 mt-3">
                        <label for="config_8">Config 8</label>
                        <input type="text" class="form-control" id="config_8" name="config_8" placeholder="Enter Practical Marks" value="Practical Marks">
                    </div>
                    <div class="col-md-4 mt-3">
                        <label for="config_9">Config 9</label>
                        <input type="text" class="form-control" id="config_9" name="config_9" placeholder="Enter Assignment Marks" value="Assignment Marks">
                    </div>
                    <div class="col-md-4 mt-3">
                        <label for="config_10">Config 10</label>
                        <input type="text" class="form-control" id="config_10" name="config_10" placeholder="Enter Actual Marks" value="Actual Marks">
                    </div>
                    <div class="col-md-4 mt-3">
                        <label for="config_11">Config 11</label>
                        <input type="text" class="form-control" id="config_11" name="config_11" placeholder="Enter Total Marks" value="Total Marks">
                    </div>
                    <div class="col-md-4 mt-3">
                        <label for="config_12">Config 12</label>
                        <input type="text" class="form-control" id="config_12" name="config_12" placeholder="Enter Percentage" value="Percentage">
                    </div>
                    <div class="col-md-4 mt-3">
                        <label for="config_13">Config 13</label>
                        <input type="text" class="form-control" id="config_13" name="config_13" placeholder="Enter" value="">
                    </div>
                    <div class="col-md-4 mt-3">
                        <label for="config_14">Config 14</label>
                        <input type="text" class="form-control" id="config_14" name="config_14" placeholder="Enter" value="">
                    </div>
                    <div class="col-md-4 mt-3">
                        <label for="config_15">Config 15</label>
                        <input type="text" class="form-control" id="config_15" name="config_15" placeholder="Enter" value="">
                    </div>
                    <div class="col-md-4 mt-3">
                        <label for="config_16">Config 16</label>
                        <input type="text" class="form-control" id="config_16" name="config_16" placeholder="Enter" value="">
                    </div>
                    <div class="col-md-4 mt-3">
                        <label for="config_17">Config 17</label>
                        <input type="text" class="form-control" id="config_17" name="config_17" placeholder="Enter" value="">
                    </div>
                    <div class="col-md-4 mt-3">
                        <label for="config_18">Config 18</label>
                        <input type="text" class="form-control" id="config_18" name="config_18" placeholder="Enter" value="">
                    </div>
                </div>
            </div>
        </div>
    </form>

</div>
@endsection
