

<?php $__env->startSection('content'); ?>
<?php echo $__env->make('layouts.navbars.auth.topnav', ['title' => 'Result'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

<div class="container-fluid py-4">
    <form>
        <div class="card p-1">
            <div class="card-header d-flex justify-content-between align-items-center">
                <div>Result</div>
            </div>
            <div class="card-body">
                <!-- Filter Options -->
                <div class="row mb-3">
                    <div class="col-md-3">
                        <label for="reg_filter">Register No.</label>
                        <input type="text" class="form-control" id="reg_filter" name="reg_filter"
                            placeholder="Enter Register No.">
                    </div>
                    <div class="col-md-3">
                        <label for="semester_filter">Semester</label>
                        <select class="form-control" id="semester_filter" name="semester">
                            <option value="">All Semesters</option>
                            <option value="1">Semester 1</option>
                            <option value="2">Semester 2</option>
                            <option value="3">Semester 3</option>
                            <option value="4">Semester 4</option>
                            <option value="5">Semester 5</option>
                            <option value="6">Semester 6</option>
                        </select>
                    </div> 
                </div>

                <!-- Table -->
                <div class="table-responsive">
                    <table class="table table-bordered text-xs" id="marksTable">
                        <thead>
                           
                            <tr>
                                <?php $__empty_1 = true; $__currentLoopData = $college_config; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <?php if(!empty($data->config_value)): ?>
                                        <th><?php echo e($data->config_value); ?></th>
                                    <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    No data found.
                                <?php endif; ?>
                            </tr>
                          
                        </thead>
                        <tbody>

                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </form>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('scripts'); ?>
    <script>
        $(document).ready(function () {
            var column_count = <?= count($college_config) ?>;
            var column_con = <?= $college_config ?>;
            var column_config = [];

            column_con.forEach(function (column) {
                if (column.config_value) {
                    column_config.push({
                        data: column.config_key, 
                        name: column.config_key 
                    });
                }
            })
            
            var table = $('#marksTable').DataTable({
                processing: true,
                serverSide: true,
                ajax: {
                    url: '<?php echo e(route('std.marks')); ?>',
                    data: function (d) {
                        d.exam = $('#reg_filter').val();
                        d.semester = $('#semester_filter').val();
                    },
                    error: function (xhr, status, error) {

                        if (xhr.status === 500 && xhr.responseJSON.error) {
                            toastr.error(xhr.responseJSON.error);
                        } else {
                            toastr.error('An unexpected error occurred.');
                        }
                    }
                },
                columns: column_config,
                layout: {
                    topStart: {
                        buttons: [
                            {
                                extend: 'pageLength',
                                text: '<i class="fas fa-list"></i> Rows',
                                className: 'btn btn-info'
                            },
                            {
                                extend: 'excelHtml5',
                                text: '<i class="fas fa-file-excel"></i> Export',
                                className: 'btn btn-success',
                                title: 'Mark Configuration Data'
                            },
                            {
                                extend: 'colvis',
                                text: '<i class="fas fa fa-columns"></i> Columns',
                                className: 'btn btn-danger',
                                title: 'Mark Configuration Data'
                            }
                        ]
                    },
                },
            });
            $('#reg_filter, #semester_filter').change(function () {
                table.draw();
            });
        });

    </script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('layouts.app', ['class' => 'g-sidenav-show bg-gray-100'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\Users\hp\Desktop\MS\mark-system\resources\views/mark-upload/index-std.blade.php ENDPATH**/ ?>